# nolint: start
#' @title Scottish Government colours and palettes
#'
#' @description
#' * \code{sg_colour_values} is a vector containing colour names and their corresponding
#' hex codes.
#' * \code{sg_colour_palettes} is a list grouping colours into palettes.
#'
#' @source \href{https://designsystem.gov.scot/guidance/charts/data-visualisation-colour-palettes}{Scottish Government Design System}
#' @md
# nolint: end

"sg_colour_values"

#' @rdname sg_colour_values
"sg_colour_palettes"


#' @title Social Security Scotland colours and palettes
#'
#' @description
#' * \code{sss_colour_values} is a vector containing colour names and their corresponding
#' hex codes.
#' * \code{sss_colour_palettes} is a list grouping colours into palettes.
#'
#' @source Contact the \href{mailto:MI@socialsecurity.gov.scot}{Social Security Scotland Statistics mailbox}
#' with any queries about these colours and palettes.
#'
#' @md

"sss_colour_values"

#' @rdname sss_colour_values
"sss_colour_palettes"


# nolint start
#' @title Government Analysis Function colours and palettes
#'
#' @description
#' * \code{af_colour_values} is a vector containing colour names and their corresponding
#' hex codes.
#' * \code{af_colour_palettes} is a list grouping colours into palettes.
#'
#' @source \href{https://analysisfunction.civilservice.gov.uk/policy-store/data-visualisation-colours-in-charts/}{Government Analysis Function Colours Guidance}
#' @md
# nolint end

"af_colour_values"

#' @rdname af_colour_values
"af_colour_palettes"
